Subject: Re: bug#7130: 24.0.50; EPA queries twice and doesn't cache passwords when decrypting files

From: Daiki Ueno <[email-masked]>
Date: Fri, 01 Oct 2010 11:52:08 +0900

Tassilo Horn <[email-masked]> writes:

>> Here are the steps I tried:
>
> That script is missing only one line:
>
>> $ mkdir -p /tmp/test && cd /tmp/test
>> $ gpg --symmetric > dot-test.gpg < /dev/null
>> $ git init
>> $ git add dot-test.gpg
>
> $ git commit -m test
>
>> $ cd .. && ln -s test/dot-test.gpg .test.gpg
>> $ emacs -Q
>> $ M-: (setq epa-file-cache-passphrase-for-symmetric-encryption t)
>> $ C-x C-f .test.gpg
>
> Without having the file committed, emacs won't query you if it should
> follow a symlink to a git version controlled file, and that seems to
> trigger the bug.

Well that is my typo.  Even if I commit the file, I'm asked for password
only once, while I'm actually asked if emacs should follow a symlink,
and I answer "yes".

The contents of *Message* are:

--8<---------------cut here---------------start------------->8---
For information about GNU Emacs and the GNU system, type C-h C-a.
t
/tmp/.test.gpg: 0% (0/39)
/tmp/.test.gpg: 100% (39/39)
Loading vc-git...done
/tmp/test/dot-test.g: 0% (0/39)
/tmp/test/dot-test.g: 100% (39/39)
Followed link to /tmp/test/dot-test.gpg
--8<---------------cut here---------------end--------------->8---

>> Anyway, I added some resources to "(epa)Bug Reports".  Could you
>> provide more information to reproduce this?
>
> Sure.

Could you provide other hints (GnuPG version, etc)?

Regards,
-- 
Daiki Ueno